Subject: 24.3.50; doc string of `recursive-edit' - mention `throw' of any value

From: Drew Adams <[email-masked]>
Date: Mon, 11 Nov 2013 15:04:40 -0800 (PST)

The doc string gives the impression that the only possibilities to "get
out of the recursive edit" are to throw nil or t. (elisp) `Recursive
Edit' is much clearer.  Say explicitly that `recursive-edit' does
`catch' and it returns the value thrown to `exit', except if t or nil.

In GNU Emacs 24.3.50.1 (i686-pc-mingw32)
 of 2013-10-19 on LEG570
Bzr revision: 114715 [email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --enable-checking 'CFLAGS=-O0 -g3' CPPFLAGS=-DGLYPH_DEBUG=1'